Namespace
library
Image / Tag
docker:19.03.13-beta1-dind
Content Digest
sha256:37fc60e3a40a39fdebd4951fd3ba016e4390a5341e933471bd1122b356148a51
Details
Created

2020-07-31 18:19:51 UTC

Size

68.7 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_CHANNEL

test

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.13-beta1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 3.89% (2.67 MB)

[#001] sha256:25ad7478873d1d5c57089f038747520fe46aa4e913cc6cf29273b3722ec45e53 - 2.83% (1.95 MB)

[#002] sha256:4684f6177b5d290b3aa892c1dc44088aa89f9ea08a68f6ed98262c032aa2caa4 - 0.0% (154 Bytes)

[#003] sha256:310a1470b34b5786ad6373282b4cfc964e3279cdb36c6f8237d3712d3a2d762e - 84.99% (58.4 MB)

[#004] sha256:57443614c3df9077151d3c09a93aee8e825406b7a8e9ca9b30e971fe01cbbd75 - 0.0% (546 Bytes)

[#005] sha256:c2efd799c51589c8b504881b6a82d0d196d4171d26520aab85ec25c58a6fadbd - 0.0% (1018 Bytes)

[#006] sha256:a14a93693aab0e8f74c9aaa6283b43689802ebb308343ef695c8cd6d11335d39 - 0.0% (116 Bytes)

[#007] sha256:bd62bef9cae207147f7c29ebb0f9bf78f49e950ace6563b9bf02caf622731a42 - 8.28% (5.68 MB)

[#008] sha256:45d721faf5d7e6dbd98b109118fa6142cf133848708821a3f0793fad710e817f - 0.0% (1.25 KB)

[#009] sha256:84a75fb970f2551574ff4347da22aea90c5e3899ef67113d93f8b9e8ad03576e - 0.0% (933 Bytes)

[#010] sha256:227c55167e6d4e8386ca4a83c744f054a67fc045060a9c260380722bc8a8bf69 - 0.0% (2.45 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-06-02 21:22:37 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-06-02 21:22:38 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 18:19:34 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2020-07-31 18:19:35 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta1

2020-07-31 18:19:41 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-07-31 18:19:41 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-07-31 18:19:41 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-07-31 18:19:41 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-07-31 18:19:42 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-07-31 18:19:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 18:19:43 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-07-31 18:19:48 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-07-31 18:19:49 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2020-07-31 18:19:49 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-07-31 18:19:50 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-07-31 18:19:51 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-07-31 18:19:51 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-07-31 18:19:51 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-07-31 18:19:51 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-07-31 18:19:51 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2020-07-31 17:40:14 UTC

Size

62.2 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_CHANNEL

test

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.13-beta1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 4.15% (2.58 MB)

[#001] sha256:259a493cd78d717670cae749d341763ca75da1be75567e3a6ee027987eb59da3 - 3.16% (1.97 MB)

[#002] sha256:b8e66b5100f59240fbac025e31dd2d7b37cb74f3ab801eceef475a9381127511 - 0.0% (154 Bytes)

[#003] sha256:9106f705a5f6ee5846174f43b95796f48b4cd6c43871b31bd8e4a66dc00a6ec7 - 83.55% (51.9 MB)

[#004] sha256:fc6fd4ae66c4cf6a6542459565c0dafca15b84a5c48239c746f9223d57930872 - 0.0% (546 Bytes)

[#005] sha256:7fb460e4e81162ac1908bdac8c5cd5f0e3fd2da86168a4a68504db9490c30cc1 - 0.0% (1019 Bytes)

[#006] sha256:19386efa79ca0e0d428e88f131f5dd31d02b934b1873c65ada1c69b9127ea633 - 0.0% (150 Bytes)

[#007] sha256:25ce2fc5ab0fa94ae19acc791f9332d3c5ccd02878412a04e2906fcac281adba - 9.12% (5.67 MB)

[#008] sha256:6b9aebdef558877ea4dda70978627ead4af1c8df1e76ac989038c938c08a7747 - 0.0% (1.28 KB)

[#009] sha256:65d7957f809da1dcd1edcfae02592a0ac5cc745efe2c38571697bb81ca6dfaca - 0.0% (932 Bytes)

[#010] sha256:f6020602965428c128f92f5a2766bc64a52c6c7f756e95fc8a2465d2bb76d2be - 0.0% (2.45 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-06-02 21:43:17 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-06-02 21:43:19 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 17:39:45 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2020-07-31 17:39:45 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta1

2020-07-31 17:39:52 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-07-31 17:39:53 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-07-31 17:39:54 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-07-31 17:39:55 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-07-31 17:39:56 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-07-31 17:39:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 17:39:57 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-07-31 17:40:07 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-07-31 17:40:09 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2020-07-31 17:40:09 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-07-31 17:40:11 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-07-31 17:40:12 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-07-31 17:40:12 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-07-31 17:40:13 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-07-31 17:40:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-07-31 17:40:14 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete